Imports System.ComponentModel

Public Class DestinoDatos
  Implements INotifyPropertyChanged
  Private m_destino As String

  Public Sub New()
    Destino = "default"
  End Sub

  Public Property Destino() As String
    Get
      Return m_destino
    End Get
    Set(value As String)
      m_destino = value
      NotificarCambio("Destino")
    End Set
  End Property

  Public Event PropertyChanged As PropertyChangedEventHandler _
    Implements INotifyPropertyChanged.PropertyChanged

  Private Sub NotificarCambio(nombreProp As String)
    RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(nombreProp))
  End Sub
End Class
